
%define plugin	podcatcher
%define name	vdr-plugin-%plugin
%define version	0.1.1
%define rel	7

Summary:	VDR plugin: subscribe to podcasts
Name:		%name
Version:	%version
Release:	%mkrel %rel
Group:		Video
License:	GPL
URL:		http://www.e-tobi.net/blog/pages/vdr-podcatcher
Source:		http://www.e-tobi.net/blog/files/vdr-%plugin-%version.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	vdr-devel >= 1.4.1-6
BuildRequires:	libcurl-devel
BuildRequires:	libmad-devel
BuildRequires:	libxml++-devel
Requires:	vdr-abi = %vdr_abi

%description
With the Podcatcher plugin you can subscribe to podcasts. It allows you
to browse through the podcasts, download and play them.

%prep
%setup -q -n %plugin-%version

%vdr_plugin_params_begin %plugin
# Specify the cache dir, where the xml feeds and mp3's get cached
var=CACHE_DIR
param=--cache=CACHE_DIR
default=%{_vdr_plugin_cachedir}/%{plugin}
%vdr_plugin_params_end

%build
%vdr_plugin_build

%install
rm -rf %{buildroot}
%vdr_plugin_install

install -d -m755 %{buildroot}%{_vdr_plugin_cachedir}/%{plugin}
install -d -m755 %{buildroot}%{_vdr_plugin_cfgdir}

install -m644 examples/* %{buildroot}%{_vdr_plugin_cfgdir}

%clean
rm -rf %{buildroot}

%post
%vdr_plugin_post %plugin

%postun
%vdr_plugin_postun %plugin

%files -f %plugin.vdr
%defattr(-,root,root)
%doc README HISTORY
%attr(-,vdr,vdr) %dir %{_vdr_plugin_cachedir}/%{plugin}
%config(noreplace) %{_vdr_plugin_cfgdir}/podcatchersources.conf


%changelog
* Tue Dec 05 2006 Anssi Hannula <anssi@mandriva.org> 0.1.1-7mdv2007.0
+ Revision: 90960
- rebuild for new vdr

* Tue Oct 31 2006 Anssi Hannula <anssi@mandriva.org> 0.1.1-6mdv2007.1
+ Revision: 74070
- rebuild for new vdr
- Import vdr-plugin-podcatcher



* Wed Sep 06 2006 Anssi Hannula <anssi@mandriva.org> 0.1.1-5mdv2007.0
- rebuild for new vdr

* Wed Aug 23 2006 Anssi Hannula <anssi@mandriva.org> 0.1.1-4mdv2007.0
- stricter abi requires

* Sun Aug 06 2006 Anssi Hannula <anssi@mandriva.org> 0.1.1-3mdv2007.0
- rebuild for new vdr

* Tue Jul 25 2006 Anssi Hannula <anssi@mandriva.org> 0.1.1-2mdv2007.0
- rebuild for new vdr

* Mon Jul 17 2006 Anssi Hannula <anssi@mandriva.org> 0.1.1-1mdv2007.0
- initial Mandriva release
